LibreOffice: XSmtpService Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSmtpService Interface Reference

Represents a SMTP service abstraction. More...

`import <XSmtpService.idl;`

Inheritance diagram for XSmtpService:

## Public Member Functions
void | sendMailMessage ([in] XMailMessage xMailMessage) raises (com::sun::star::io::NotConnectedException, com::sun::star::mail::SendMailMessageFailedException, com::sun::star::mail::MailException, com::sun::star::datatransfer::UnsupportedFlavorException)
| Send a mail message to its recipients.
Public Member Functions inherited from XMailService
sequence< string > | getSupportedConnectionTypes ()
| Returns all connection types which are supported to connect to the mail service.
void | addConnectionListener ([in] XConnectionListener xListener)
| Register a connection listener.
void | removeConnectionListener ([in] XConnectionListener xListener)
| Unregister a connection listener.
com::sun::star::uno::XCurrentContext | getCurrentConnectionContext () raises (com::sun::star::io::NotConnectedException)
| Return the context of the current connection.
void | connect ([in] com::sun::star::uno::XCurrentContext xConnectionContext, [in] XAuthenticator xAuthenticator) raises (com::sun::star::lang::IllegalArgumentException, com::sun::star::io::AlreadyConnectedException, com::sun::star::io::UnknownHostException, com::sun::star::io::NoRouteToHostException, com::sun::star::io::ConnectException, com::sun::star::auth::AuthenticationFailedException, com::sun::star::mail::MailException)
| Connect to a mail service.
void | disconnect () raises (com::sun::star::mail::MailException)
| Disconnect from a mail service.
boolean | isConnected ()
| Returns whether a connection to a mail service currently exist or not.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Represents a SMTP service abstraction.

See also
  com::sun::star::mail::XMailService
  com::sun::star::mail::XMailMessage

Since
  OOo 2.0

## Member Function Documentation

## ◆ sendMailMessage()

void sendMailMessage | ( | [in] XMailMessage | xMailMessage | ) |
raises | ( | com::sun::star::io::NotConnectedException,
|  | com::sun::star::mail::SendMailMessageFailedException,
|  | com::sun::star::mail::MailException,
|  | com::sun::star::datatransfer::UnsupportedFlavorException ) |  |  |

Send a mail message to its recipients.

Parameters

  xMailMessage | [in] the mail message to be sent.

Exceptions

  com::sun::star::io::NotConnectedException | if no user is currently connected to the mail server.
  com::sun::star::mail::SendMailMessageFailedException | if the message could not be sent because of invalid recipient addresses. The e-mail addresses of recipients have to conform to RFC 822.
  com::sun::star::mail::MailException | is thrown on other errors that may happen during sending. A possible reason may be for instance that a file attachment specified in a mail message could not be found or accessed.
  com::sun::star::datatransfer::UnsupportedFlavorException | is thrown when the body of the mail message is provided in an unsupported mime content type or may be thrown if one of the file attachments specifies an unsupported mime content type.

See also
  com::sun::star::mail::XMailMessage
  com::sun::star::io::NotConnectedException
  com::sun::star::mail::SendMailMessageFailedException
  com::sun::star::mail::MailException
  com::sun::star::datatransfer::UnsupportedFlavorException

The documentation for this interface was generated from the following file:

- com/sun/star/mail/XSmtpService.idl